## Typing stubs for PyYAML

This is a [PEP 561](https://peps.python.org/pep-0561/)
type stub package for the [`PyYAML`](https://github.com/yaml/pyyaml) package.
It can be used by type-checking tools like
[mypy](https://github.com/python/mypy/),
[pyright](https://github.com/microsoft/pyright),
[pytype](https://github.com/google/pytype/),
[Pyre](https://pyre-check.org/),
PyCharm, etc. to check code that uses `PyYAML`. This version of
`types-PyYAML` aims to provide accurate annotations for
`PyYAML==6.0.*`.

This package is part of the [typeshed project](https://github.com/python/typeshed).
All fixes for types and metadata should be contributed there.
See [the README](https://github.com/python/typeshed/blob/main/README.md)
for more details. The source for this package can be found in the
[`stubs/PyYAML`](https://github.com/python/typeshed/tree/main/stubs/PyYAML)
directory.

This package was tested with
mypy 1.15.0,
pyright 1.1.398,
and pytype 2024.10.11.
It was generated from typeshed commit
[`bf8d2a99126dcb155692c0ba56c4866fcd618393`](https://github.com/python/typeshed/commit/bf8d2a99126dcb155692c0ba56c4866fcd618393).